#include <stdio.h> 
#include <stdlib.h>

int main(int argc, char *argv[]){
  int i;
  int lower, upper;
  int step;
  
  if (argc == 3){
    lower = atoi(argv[1]);
    upper = atoi(argv[2]);
    
    if (lower > upper){
      printf("Sequencing must go from lower to higher!\n");
      return 1;
    }
    for (i=lower; i <=upper; i++){
      printf("%d\n", i);
    }
    //    printf("\n");
  }else if (argc ==4){
    lower = atoi(argv[1]);
    upper = atoi(argv[3]);
    step = atoi(argv[2]);

    for (i = lower; i <= upper; i += step){
      printf("%d\n", i);
    }
  }else{
    printf("Incorrect number of arguments");
  }

  return 0; 
}
 
